Package org.apache.axiom.attachments

# Class ByteArrayDataSource

java.lang.Object
org.apache.axiom.attachments.ByteArrayDataSource

All Implemented Interfaces:
  `DataSource`, `SizeAwareDataSource`

public class ByteArrayDataSource extends Object implements SizeAwareDataSource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteArrayDataSource(byte[] data)`
  `ByteArrayDataSource(byte[] data, String type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentType()`
  `InputStream`
  `getInputStream()`
  `String`
  `getName()`
  `OutputStream`
  `getOutputStream()`
  `long`
  `getSize()`
  Get the size of the data source.
  `void`
  `setType(String type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ByteArrayDataSource

    public ByteArrayDataSource(byte[] data, String type)

  - ### ByteArrayDataSource

    public ByteArrayDataSource(byte[] data)

- ## Method Details

  - ### setType

    public void setType(String type)

  - ### getContentType

    public String getContentType()
    Specified by:
      `getContentType` in interface `DataSource`

  - ### getInputStream

    public InputStream getInputStream() throws IOException
    Specified by:
      `getInputStream` in interface `DataSource`
    Throws:
      `IOException`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `DataSource`

  - ### getOutputStream

    public OutputStream getOutputStream() throws IOException
    Specified by:
      `getOutputStream` in interface `DataSource`
    Throws:
      `IOException`

  - ### getSize

    public long getSize()
    Description copied from interface: `SizeAwareDataSource`
    Get the size of the data source. Implementations must return the number of bytes that can be read from the input stream returned by `DataSource.getInputStream()` before reaching the end of the stream. If the implementation is unable to determine the size, it must return -1.
    Specified by:
      `getSize` in interface `SizeAwareDataSource`
    Returns:
      the size of the data source or -1 if the size is not known